import { request } from './request';
export * from './request';
export async function getString(arg) {
    const r = await request(typeof arg === 'string' ? { url: arg, method: 'GET' } : arg);
    return r.content.toString();
}
export async function getJSON(arg) {
    const r = await request(typeof arg === 'string' ? { url: arg, method: 'GET' } : arg);
    return r.content.toJSON();
}
export async function getImage(arg) {
    const r = await request(typeof arg === 'string' ? { url: arg, method: 'GET' } : arg);
    return r.content.toImage();
}
export async function getFile(arg, destinationFilePath) {
    const r = await request(typeof arg === 'string' ? { url: arg, method: 'GET' } : arg);
    return r.content.toFile(destinationFilePath);
}
export async function getBinary(arg) {
    const r = await request(typeof arg === 'string' ? { url: arg, method: 'GET' } : arg);
    return r.content.toArrayBuffer();
}
//# sourceMappingURL=index.js.map